UPDATEDD-WRAPPER(1)

NAME
updatedd-wrapper - config- and cachefile support for updatedd

SYNOPSIS
updatedd-wrapper [OPTION]...

DESCRIPTION
Updatedd-wrapper is a perl program to execute updatedd. It uses a configuration file with c-like syntax and a cache file for ip addresses to prevent that a update with the same address will be executed twice.

OPTIONS

-c <path>
    Use an alternative configuration file.
    Defaults:
    /etc/updatedd-wrapper.conf
    /usr/etc/updatedd-wrapper.conf
    /usr/local/etc/updatedd-wrapper.conf

-f  Force update of all records (do not check cached ip addresses).

-i <secs>
    Wait n seconds after a failed update until a new attempt will be tried.

-r <num>
    Number of retries when an update failed. This is only for updates that failed with return code 1 (warnings), for example connection problems or not enough memory.

-s  Print commands to stdout instead of executing updatedd. This option may be used to check whether updatedd-wrapper reads the configuration file correctly.

-t <path>
    Usually /tmp/updatedd-wrapper-<uid>.cache will be used as cache-file, but you can specify another one with this option.

-y  Print update status of all accounts to syslog. The configuration in updatedd-wrapper.conf will be passed over.

--help
    Print help and exit.

--version
    Print version information and exit.

AUTHOR
Written by Philipp Benner <mail@philipp-benner.de>.

REPORTING BUGS
Report bugs to <updatedd@philipp-benner.de>.

COPYRIGHT
Copyright (C) 2004 Philipp Benner.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

FILES
etc/updatedd-wrapper.conf

/tmp/updatedd-wrapper-<uid>.cache

SEE ALSO
Look at /usr/share/doc/updatedd for further documentation (distributed by updatedd-doc) and at /usr/share/updatedd for additional scripts.

updatedd(1), updatedd-wrapper.conf(5)